1#! /bin/sh
2# Generated automatically by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8SHELL=${CONFIG_SHELL-/bin/sh}
9ac_cs_invocation="$0 $@"
10
11# Be Bourne compatible
12if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
13  emulate sh
14  NULLCMD=:
15elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
16  set -o posix
17fi
18
19# Name of the executable.
20as_me=`echo "$0" |sed 's,.*[\\/],,'`
21
22if expr a : '\(a\)' >/dev/null 2>&1; then
23  as_expr=expr
24else
25  as_expr=false
26fi
27
28rm -f conf$$ conf$$.exe conf$$.file
29echo >conf$$.file
30if ln -s conf$$.file conf$$ 2>/dev/null; then
31  # We could just check for DJGPP; but this test a) works b) is more generic
32  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
33  if test -f conf$$.exe; then
34    # Don't use ln at all; we don't have any links
35    as_ln_s='cp -p'
36  else
37    as_ln_s='ln -s'
38  fi
39elif ln conf$$.file conf$$ 2>/dev/null; then
40  as_ln_s=ln
41else
42  as_ln_s='cp -p'
43fi
44rm -f conf$$ conf$$.exe conf$$.file
45
46as_executable_p="test -f"
47
48# Support unset when possible.
49if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
50  as_unset=unset
51else
52  as_unset=false
53fi
54
55# NLS nuisances.
56$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
57$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
58$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
59$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
60$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
61$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
62$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
63$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
64
65# IFS
66# We need space, tab and new line, in precisely that order.
67as_nl='
68'
69IFS=" 	$as_nl"
70
71# CDPATH.
72$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
73
74exec 6>&1
75
76config_files=" Makefile lib/Makefile src/Makefile po/Makefile.in man/Makefile tests/Makefile include/iconv.h"
77config_headers=" lib/config.h src/config.h"
78config_commands=" default-1"
79
80ac_cs_usage="\
81\`$as_me' instantiates files from templates according to the
82current configuration.
83
84Usage: $0 [OPTIONS] [FILE]...
85
86  -h, --help       print this help, then exit
87  -V, --version    print version number, then exit
88  -d, --debug      don't remove temporary files
89      --recheck    update $as_me by reconfiguring in the same conditions
90  --file=FILE[:TEMPLATE]
91                   instantiate the configuration file FILE
92  --header=FILE[:TEMPLATE]
93                   instantiate the configuration header FILE
94
95Configuration files:
96$config_files
97
98Configuration headers:
99$config_headers
100
101Configuration commands:
102$config_commands
103
104Report bugs to <bug-autoconf@gnu.org>."
105ac_cs_version="\
106libiconv config.status 1.8
107configured by ./configure, generated by GNU Autoconf 2.52,
108  with options \"\"
109
110Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
111Free Software Foundation, Inc.
112This config.status script is free software; the Free Software Foundation
113gives unlimited permission to copy, distribute and modify it."
114srcdir=.
115INSTALL="/usr/bin/install -c"
116# If no file are specified by the user, then we need to provide default
117# value.  By we need to know if files were specified by the user.
118ac_need_defaults=:
119while test $# != 0
120do
121  case $1 in
122  --*=*)
123    ac_option=`expr "x$1" : 'x\([^=]*\)='`
124    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
125    shift
126    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
127    shift
128    ;;
129  -*);;
130  *) # This is not an option, so the user has probably given explicit
131     # arguments.
132     ac_need_defaults=false;;
133  esac
134
135  case $1 in
136  # Handling of the options.
137  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
138    echo "running /bin/sh ./configure "  " --no-create --no-recursion"
139    exec /bin/sh ./configure  --no-create --no-recursion ;;
140  --version | --vers* | -V )
141    echo "$ac_cs_version"; exit 0 ;;
142  --he | --h)
143    # Conflict between --help and --header
144    { { echo "$as_me:9427: error: ambiguous option: $1
145Try \`$0 --help' for more information." >&5
146echo "$as_me: error: ambiguous option: $1
147Try \`$0 --help' for more information." >&2;}
148   { (exit 1); exit 1; }; };;
149  --help | --hel | -h )
150    echo "$ac_cs_usage"; exit 0 ;;
151  --debug | --d* | -d )
152    debug=: ;;
153  --file | --fil | --fi | --f )
154    shift
155    CONFIG_FILES="$CONFIG_FILES $1"
156    ac_need_defaults=false;;
157  --header | --heade | --head | --hea )
158    shift
159    CONFIG_HEADERS="$CONFIG_HEADERS $1"
160    ac_need_defaults=false;;
161
162  # This is an error.
163  -*) { { echo "$as_me:9446: error: unrecognized option: $1
164Try \`$0 --help' for more information." >&5
165echo "$as_me: error: unrecognized option: $1
166Try \`$0 --help' for more information." >&2;}
167   { (exit 1); exit 1; }; } ;;
168
169  *) ac_config_targets="$ac_config_targets $1" ;;
170
171  esac
172  shift
173done
174
175exec 5>>config.log
176cat >&5 << _ACEOF
177
178## ----------------------- ##
179## Running config.status.  ##
180## ----------------------- ##
181
182This file was extended by $as_me (libiconv 1.8) 2.52, executed with
183  CONFIG_FILES    = $CONFIG_FILES
184  CONFIG_HEADERS  = $CONFIG_HEADERS
185  CONFIG_LINKS    = $CONFIG_LINKS
186  CONFIG_COMMANDS = $CONFIG_COMMANDS
187  > $ac_cs_invocation
188on `(hostname || uname -n) 2>/dev/null | sed 1q`
189
190_ACEOF
191#
192# INIT-COMMANDS section.
193#
194
195# Capture the value of obsolete  because we need it to compute
196    # POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES, CATALOGS. But hide it
197    # from automake.
198    eval 'ALL_LINGUAS''=""'
199    # Capture the value of LINGUAS because we need it to compute CATALOGS.
200    LINGUAS="%UNSET%"
201
202for ac_config_target in $ac_config_targets
203do
204  case "$ac_config_target" in
205  # Handling of arguments.
206  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
207  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
208  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
209  "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
210  "man/Makefile" ) CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
211  "${TESTS_MAKEFILE}" ) CONFIG_FILES="$CONFIG_FILES ${TESTS_MAKEFILE}" ;;
212  "include/iconv.h" ) CONFIG_FILES="$CONFIG_FILES include/iconv.h" ;;
213  "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
214  "lib/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS lib/config.h" ;;
215  "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
216  *) { { echo "$as_me:9505: error: invalid argument: $ac_config_target" >&5
217echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
218   { (exit 1); exit 1; }; };;
219  esac
220done
221
222# If the user did not use the arguments to specify the items to instantiate,
223# then the envvar interface is used.  Set only those that are not.
224# We use the long form for the default assignment because of an extremely
225# bizarre bug on SunOS 4.1.3.
226if $ac_need_defaults; then
227  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
228  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
229  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
230fi
231
232# Create a temporary directory, and hook for its removal unless debugging.
233$debug ||
234{
235  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
236  trap '{ (exit 1); exit 1; }' 1 2 13 15
237}
238
239# Create a (secure) tmp directory for tmp files.
240: ${TMPDIR=/tmp}
241{
242  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
243  test -n "$tmp" && test -d "$tmp"
244}  ||
245{
246  tmp=$TMPDIR/cs$$-$RANDOM
247  (umask 077 && mkdir $tmp)
248} ||
249{
250   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
251   { (exit 1); exit 1; }
252}
253
254
255#
256# CONFIG_FILES section.
257#
258
259# No need to generate the scripts if there are no CONFIG_FILES.
260# This happens for instance when ./config.status config.h
261if test -n "$CONFIG_FILES"; then
262  # Protect against being on the right side of a sed subst in config.status.
263  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
264   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
265s,@SHELL@,/bin/sh,;t t
266s,@exec_prefix@,${prefix},;t t
267s,@prefix@,/usr/local,;t t
268s,@program_transform_name@,s,x,x,,;t t
269s,@bindir@,${exec_prefix}/bin,;t t
270s,@sbindir@,${exec_prefix}/sbin,;t t
271s,@libexecdir@,${exec_prefix}/libexec,;t t
272s,@datadir@,${prefix}/share,;t t
273s,@sysconfdir@,${prefix}/etc,;t t
274s,@sharedstatedir@,${prefix}/com,;t t
275s,@localstatedir@,${prefix}/var,;t t
276s,@libdir@,${exec_prefix}/lib,;t t
277s,@includedir@,${prefix}/include,;t t
278s,@oldincludedir@,/usr/include,;t t
279s,@infodir@,${prefix}/info,;t t
280s,@mandir@,${prefix}/man,;t t
281s,@PACKAGE_NAME@,libiconv,;t t
282s,@PACKAGE_TARNAME@,libiconv,;t t
283s,@PACKAGE_VERSION@,1.8,;t t
284s,@PACKAGE_STRING@,libiconv 1.8,;t t
285s,@PACKAGE_BUGREPORT@,,;t t
286s,@build_alias@,,;t t
287s,@host_alias@,,;t t
288s,@target_alias@,,;t t
289s,@ECHO_C@,,;t t
290s,@ECHO_N@,-n,;t t
291s,@ECHO_T@,,;t t
292s,@PATH_SEPARATOR@,:,;t t
293s,@DEFS@,-DHAVE_CONFIG_H,;t t
294s,@LIBS@,,;t t
295s,@PACKAGE@,libiconv,;t t
296s,@VERSION@,1.8,;t t
297s,@SET_MAKE@,,;t t
298s,@USE_EXTRA_ENCODINGS@,no,;t t
299s,@CC@,gcc,;t t
300s,@CFLAGS@,-g -O2,;t t
301s,@LDFLAGS@,,;t t
302s,@CPPFLAGS@,,;t t
303s,@ac_ct_CC@,gcc,;t t
304s,@EXEEXT@,,;t t
305s,@OBJEXT@,o,;t t
306s,@CPP@,gcc -E,;t t
307s,@RANLIB@,ranlib,;t t
308s,@INSTALL_PROGRAM@,${INSTALL},;t t
309s,@INSTALL_SCRIPT@,${INSTALL},;t t
310s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
311s,@CP@,cp -p,;t t
312s,@LN@,ln,;t t
313s,@LN_S@,ln -s,;t t
314s,@build@,i686-pc-linux-gnu,;t t
315s,@build_cpu@,i686,;t t
316s,@build_vendor@,pc,;t t
317s,@build_os@,linux-gnu,;t t
318s,@host@,i686-pc-linux-gnu,;t t
319s,@host_cpu@,i686,;t t
320s,@host_vendor@,pc,;t t
321s,@host_os@,linux-gnu,;t t
322s,@ECHO@,echo,;t t
323s,@ac_ct_RANLIB@,,;t t
324s,@STRIP@,strip,;t t
325s,@ac_ct_STRIP@,strip,;t t
326s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
327s,@LIBICONV@,,;t t
328s,@LTLIBICONV@,,;t t
329s,@MKINSTALLDIRS@,./autoconf/mkinstalldirs,;t t
330s,@MSGFMT@,/usr/bin/msgfmt,;t t
331s,@GMSGFMT@,/usr/bin/msgfmt,;t t
332s,@XGETTEXT@,:,;t t
333s,@MSGMERGE@,:,;t t
334s,@USE_NLS@,yes,;t t
335s,@INTLLIBS@,,;t t
336s,@LIBINTL@,,;t t
337s,@LTLIBINTL@,,;t t
338s,@POSUB@,po,;t t
339s,@ICONV_CONST@,,;t t
340s,@EILSEQ@,,;t t
341s,@OS@,linux,;t t
342s,@GCC@,yes,;t t
343s,@PLUGLIB@,libiconv_plug.so,;t t
344s,@subdirs@, libcharset,;t t
345CEOF
346
347  # Split the substitutions into bite-sized pieces for seds with
348  # small command number limits, like on Digital OSF/1 and HP-UX.
349  ac_max_sed_lines=48
350  ac_sed_frag=1 # Number of current file.
351  ac_beg=1 # First line for current file.
352  ac_end=$ac_max_sed_lines # Line after last line for current file.
353  ac_more_lines=:
354  ac_sed_cmds=
355  while $ac_more_lines; do
356    if test $ac_beg -gt 1; then
357      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
358    else
359      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
360    fi
361    if test ! -s $tmp/subs.frag; then
362      ac_more_lines=false
363    else
364      # The purpose of the label and of the branching condition is to
365      # speed up the sed processing (if there are no `@' at all, there
366      # is no need to browse any of the substitutions).
367      # These are the two extra sed commands mentioned above.
368      (echo ':t
369  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
370      if test -z "$ac_sed_cmds"; then
371  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
372      else
373  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
374      fi
375      ac_sed_frag=`expr $ac_sed_frag + 1`
376      ac_beg=$ac_end
377      ac_end=`expr $ac_end + $ac_max_sed_lines`
378    fi
379  done
380  if test -z "$ac_sed_cmds"; then
381    ac_sed_cmds=cat
382  fi
383fi # test -n "$CONFIG_FILES"
384
385for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
386  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
387  case $ac_file in
388  - | *:- | *:-:* ) # input from stdin
389        cat >$tmp/stdin
390        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
391        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
392  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
393        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
394  * )   ac_file_in=$ac_file.in ;;
395  esac
396
397  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
398  ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
399         X"$ac_file" : 'X\(//\)[^/]' \| \
400         X"$ac_file" : 'X\(//\)$' \| \
401         X"$ac_file" : 'X\(/\)' \| \
402         .     : '\(.\)' 2>/dev/null ||
403echo X"$ac_file" |
404    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
405  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
406  	  /^X\(\/\/\)$/{ s//\1/; q; }
407  	  /^X\(\/\).*/{ s//\1/; q; }
408  	  s/.*/./; q'`
409  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
410    { case "$ac_dir" in
411  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
412  *)                      as_incr_dir=.;;
413esac
414as_dummy="$ac_dir"
415for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
416  case $as_mkdir_dir in
417    # Skip DOS drivespec
418    ?:) as_incr_dir=$as_mkdir_dir ;;
419    *)
420      as_incr_dir=$as_incr_dir/$as_mkdir_dir
421      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
422    ;;
423  esac
424done; }
425
426    ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
427    # A "../" for each directory in $ac_dir_suffix.
428    ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
429  else
430    ac_dir_suffix= ac_dots=
431  fi
432
433  case $srcdir in
434  .)  ac_srcdir=.
435      if test -z "$ac_dots"; then
436         ac_top_srcdir=.
437      else
438         ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
439      fi ;;
440  [\\/]* | ?:[\\/]* )
441      ac_srcdir=$srcdir$ac_dir_suffix;
442      ac_top_srcdir=$srcdir ;;
443  *) # Relative path.
444    ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
445    ac_top_srcdir=$ac_dots$srcdir ;;
446  esac
447
448  case $INSTALL in
449  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
450  *) ac_INSTALL=$ac_dots$INSTALL ;;
451  esac
452
453  if test x"$ac_file" != x-; then
454    { echo "$as_me:9751: creating $ac_file" >&5
455echo "$as_me: creating $ac_file" >&6;}
456    rm -f "$ac_file"
457  fi
458  # Let's still pretend it is `configure' which instantiates (i.e., don't
459  # use $as_me), people would be surprised to read:
460  #    /* config.h.  Generated automatically by config.status.  */
461  configure_input="Generated automatically from `echo $ac_file_in |
462                                                 sed 's,.*/,,'` by configure."
463
464  # First look for the input files in the build tree, otherwise in the
465  # src tree.
466  ac_file_inputs=`IFS=:
467    for f in $ac_file_in; do
468      case $f in
469      -) echo $tmp/stdin ;;
470      [\\/$]*)
471         # Absolute (can't be DOS-style, as IFS=:)
472         test -f "$f" || { { echo "$as_me:9769: error: cannot find input file: $f" >&5
473echo "$as_me: error: cannot find input file: $f" >&2;}
474   { (exit 1); exit 1; }; }
475         echo $f;;
476      *) # Relative
477         if test -f "$f"; then
478           # Build tree
479           echo $f
480         elif test -f "$srcdir/$f"; then
481           # Source tree
482           echo $srcdir/$f
483         else
484           # /dev/null tree
485           { { echo "$as_me:9782: error: cannot find input file: $f" >&5
486echo "$as_me: error: cannot find input file: $f" >&2;}
487   { (exit 1); exit 1; }; }
488         fi;;
489      esac
490    done` || { (exit 1); exit 1; }
491  sed "/^[ 	]*VPATH[ 	]*=/{
492s/:*\$(srcdir):*/:/;
493s/:*\${srcdir}:*/:/;
494s/:*@srcdir@:*/:/;
495s/^\([^=]*=[ 	]*\):*/\1/;
496s/:*$//;
497s/^[^=]*=[ 	]*$//;
498}
499
500:t
501/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
502s,@configure_input@,$configure_input,;t t
503s,@srcdir@,$ac_srcdir,;t t
504s,@top_srcdir@,$ac_top_srcdir,;t t
505s,@INSTALL@,$ac_INSTALL,;t t
506" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
507  rm -f $tmp/stdin
508  if test x"$ac_file" != x-; then
509    mv $tmp/out $ac_file
510  else
511    cat $tmp/out
512    rm -f $tmp/out
513  fi
514
515done
516
517#
518# CONFIG_HEADER section.
519#
520
521# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
522# NAME is the cpp macro being defined and VALUE is the value it is being given.
523#
524# ac_d sets the value in "#define NAME VALUE" lines.
525ac_dA='s,^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
526ac_dB='[ 	].*$,\1#\2'
527ac_dC=' '
528ac_dD=',;t'
529# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
530ac_uA='s,^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
531ac_uB='$,\1#\2define\3'
532ac_uC=' '
533ac_uD=',;t'
534
535for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
536  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
537  case $ac_file in
538  - | *:- | *:-:* ) # input from stdin
539        cat >$tmp/stdin
540        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
541        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
542  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
543        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
544  * )   ac_file_in=$ac_file.in ;;
545  esac
546
547  test x"$ac_file" != x- && { echo "$as_me:9843: creating $ac_file" >&5
548echo "$as_me: creating $ac_file" >&6;}
549
550  # First look for the input files in the build tree, otherwise in the
551  # src tree.
552  ac_file_inputs=`IFS=:
553    for f in $ac_file_in; do
554      case $f in
555      -) echo $tmp/stdin ;;
556      [\\/$]*)
557         # Absolute (can't be DOS-style, as IFS=:)
558         test -f "$f" || { { echo "$as_me:9854: error: cannot find input file: $f" >&5
559echo "$as_me: error: cannot find input file: $f" >&2;}
560   { (exit 1); exit 1; }; }
561         echo $f;;
562      *) # Relative
563         if test -f "$f"; then
564           # Build tree
565           echo $f
566         elif test -f "$srcdir/$f"; then
567           # Source tree
568           echo $srcdir/$f
569         else
570           # /dev/null tree
571           { { echo "$as_me:9867: error: cannot find input file: $f" >&5
572echo "$as_me: error: cannot find input file: $f" >&2;}
573   { (exit 1); exit 1; }; }
574         fi;;
575      esac
576    done` || { (exit 1); exit 1; }
577  # Remove the trailing spaces.
578  sed 's/[ 	]*$//' $ac_file_inputs >$tmp/in
579
580  # Handle all the #define templates only if necessary.
581  if egrep "^[ 	]*#[ 	]*define" $tmp/in >/dev/null; then
582  # If there are no defines, we may have an empty if/fi
583  :
584  cat >$tmp/defines.sed <<CEOF
585/^[ 	]*#[ 	]*define/!b
586t clr
587: clr
588${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"libiconv"${ac_dD}
589${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.8"${ac_dD}
590${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
591${ac_dA}HAVE_ICONV${ac_dB}HAVE_ICONV${ac_dC}1${ac_dD}
592${ac_dA}ICONV_CONST${ac_dB}ICONV_CONST${ac_dC}${ac_dD}
593${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
594${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
595${ac_dA}HAVE_DCGETTEXT${ac_dB}HAVE_DCGETTEXT${ac_dC}1${ac_dD}
596${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
597${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
598${ac_dA}HAVE_MBRTOWC${ac_dB}HAVE_MBRTOWC${ac_dC}1${ac_dD}
599${ac_dA}HAVE_WCRTOMB${ac_dB}HAVE_WCRTOMB${ac_dC}1${ac_dD}
600${ac_dA}HAVE_MBSINIT${ac_dB}HAVE_MBSINIT${ac_dC}1${ac_dD}
601${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
602${ac_dA}HAVE_WCHAR_H${ac_dB}HAVE_WCHAR_H${ac_dC}1${ac_dD}
603${ac_dA}WORDS_LITTLEENDIAN${ac_dB}WORDS_LITTLEENDIAN${ac_dC}1${ac_dD}
604CEOF
605  sed -f $tmp/defines.sed $tmp/in >$tmp/out
606  rm -f $tmp/in
607  mv $tmp/out $tmp/in
608
609  fi # egrep
610
611  # Handle all the #undef templates
612  cat >$tmp/undefs.sed <<CEOF
613/^[ 	]*#[ 	]*undef/!b
614t clr
615: clr
616${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"libiconv"${ac_uD}
617${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.8"${ac_uD}
618${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
619${ac_uA}HAVE_ICONV${ac_uB}HAVE_ICONV${ac_uC}1${ac_uD}
620${ac_uA}ICONV_CONST${ac_uB}ICONV_CONST${ac_uC}${ac_uD}
621${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
622${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
623${ac_uA}HAVE_DCGETTEXT${ac_uB}HAVE_DCGETTEXT${ac_uC}1${ac_uD}
624${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
625${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
626${ac_uA}HAVE_MBRTOWC${ac_uB}HAVE_MBRTOWC${ac_uC}1${ac_uD}
627${ac_uA}HAVE_WCRTOMB${ac_uB}HAVE_WCRTOMB${ac_uC}1${ac_uD}
628${ac_uA}HAVE_MBSINIT${ac_uB}HAVE_MBSINIT${ac_uC}1${ac_uD}
629${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
630${ac_uA}HAVE_WCHAR_H${ac_uB}HAVE_WCHAR_H${ac_uC}1${ac_uD}
631${ac_uA}WORDS_LITTLEENDIAN${ac_uB}WORDS_LITTLEENDIAN${ac_uC}1${ac_uD}
632s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
633CEOF
634  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
635  rm -f $tmp/in
636  mv $tmp/out $tmp/in
637
638  # Let's still pretend it is `configure' which instantiates (i.e., don't
639  # use $as_me), people would be surprised to read:
640  #    /* config.h.  Generated automatically by config.status.  */
641  if test x"$ac_file" = x-; then
642    echo "/* Generated automatically by configure.  */" >$tmp/config.h
643  else
644    echo "/* $ac_file.  Generated automatically by configure.  */" >$tmp/config.h
645  fi
646  cat $tmp/in >>$tmp/config.h
647  rm -f $tmp/in
648  if test x"$ac_file" != x-; then
649    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
650      { echo "$as_me:9984: $ac_file is unchanged" >&5
651echo "$as_me: $ac_file is unchanged" >&6;}
652    else
653      ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
654         X"$ac_file" : 'X\(//\)[^/]' \| \
655         X"$ac_file" : 'X\(//\)$' \| \
656         X"$ac_file" : 'X\(/\)' \| \
657         .     : '\(.\)' 2>/dev/null ||
658echo X"$ac_file" |
659    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
660  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
661  	  /^X\(\/\/\)$/{ s//\1/; q; }
662  	  /^X\(\/\).*/{ s//\1/; q; }
663  	  s/.*/./; q'`
664      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
665        { case "$ac_dir" in
666  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
667  *)                      as_incr_dir=.;;
668esac
669as_dummy="$ac_dir"
670for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
671  case $as_mkdir_dir in
672    # Skip DOS drivespec
673    ?:) as_incr_dir=$as_mkdir_dir ;;
674    *)
675      as_incr_dir=$as_incr_dir/$as_mkdir_dir
676      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
677    ;;
678  esac
679done; }
680
681      fi
682      rm -f $ac_file
683      mv $tmp/config.h $ac_file
684    fi
685  else
686    cat $tmp/config.h
687    rm -f $tmp/config.h
688  fi
689done
690
691#
692# CONFIG_COMMANDS section.
693#
694for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
695  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
696  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
697
698  case $ac_dest in
699    default-1 )
700    for ac_file in $CONFIG_FILES; do
701      # Support "outfile[:infile[:infile...]]"
702      case "$ac_file" in
703        *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
704      esac
705      # PO directories have a Makefile.in generated from Makefile.in.in.
706      case "$ac_file" in */Makefile.in)
707        # Adjust a relative srcdir.
708        ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
709        ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
710        ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
711        # In autoconf-2.13 it is called $ac_given_srcdir.
712        # In autoconf-2.50 it is called $srcdir.
713        test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
714        case "$ac_given_srcdir" in
715          .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
716          /*) top_srcdir="$ac_given_srcdir" ;;
717          *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
718        esac
719        if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
720          rm -f "$ac_dir/POTFILES"
721          test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
722          cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ 	]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
723          # ALL_LINGUAS, POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES depend
724          # on $ac_dir but don't depend on user-specified configuration
725          # parameters.
726          if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
727            # The LINGUAS file contains the set of available languages.
728            if test -n "$ALL_LINGUAS"; then
729              test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
730            fi
731            ALL_LINGUAS_=`sed -e "/^#/d" "$ac_given_srcdir/$ac_dir/LINGUAS"`
732            # Hide the ALL_LINGUAS assigment from automake.
733            eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
734          fi
735          case "$ac_given_srcdir" in
736            .) srcdirpre= ;;
737            *) srcdirpre='$(srcdir)/' ;;
738          esac
739          POFILES=
740          GMOFILES=
741          UPDATEPOFILES=
742          DUMMYPOFILES=
743          for lang in $ALL_LINGUAS; do
744            POFILES="$POFILES $srcdirpre$lang.po"
745            GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
746            UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
747            DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
748          done
749          # CATALOGS depends on both $ac_dir and the user's LINGUAS
750          # environment variable.
751          INST_LINGUAS=
752          if test -n "$ALL_LINGUAS"; then
753            for presentlang in $ALL_LINGUAS; do
754              useit=no
755              if test "%UNSET%" != "$LINGUAS"; then
756                desiredlanguages="$LINGUAS"
757              else
758                desiredlanguages="$ALL_LINGUAS"
759              fi
760              for desiredlang in $desiredlanguages; do
761                # Use the presentlang catalog if desiredlang is
762                #   a. equal to presentlang, or
763                #   b. a variant of presentlang (because in this case,
764                #      presentlang can be used as a fallback for messages
765                #      which are not translated in the desiredlang catalog).
766                case "$desiredlang" in
767                  "$presentlang"*) useit=yes;;
768                esac
769              done
770              if test $useit = yes; then
771                INST_LINGUAS="$INST_LINGUAS $presentlang"
772              fi
773            done
774          fi
775          CATALOGS=
776          if test -n "$INST_LINGUAS"; then
777            for lang in $INST_LINGUAS; do
778              CATALOGS="$CATALOGS $lang.gmo"
779            done
780          fi
781          test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
782          sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
783          for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
784            if test -f "$f"; then
785              case "$f" in
786                *.orig | *.bak | *~) ;;
787                *) cat "$f" >> "$ac_dir/Makefile" ;;
788              esac
789            fi
790          done
791        fi
792        ;;
793      esac
794    done ;;
795  esac
796done
797
798{ (exit 0); exit 0; }
799